Subject: Re: [BUG?] Re: fail to svn clone debian's kernel repository

From: Sebastian Pipping <[email-masked]>
Date: Wed, 03 Mar 2010 02:20:00 +0100

On 03/02/10 20:54, Nicolas Sebrecht wrote:
> I've stopped cloning at r10252 with current next version. I didn't
> notice any problem.

I've been working with another repository.

My case is reproducable as following:
=======================================================
ABS_SVN_SOURCE="$PWD/portage-anon-svn-repo-dump/"
rsync -r rsync://anonvcs.gentoo.org/vcs-public-svnroot/portage/ \
  "${ABS_SVN_SOURCE}"
mkdir portage-git
cd portage-git
git svn init file://"${ABS_SVN_SOURCE}" \
  --trunk=trunk --tags=NOTAGS --branches=NOBRANCHES
git svn fetch -r1:1890
git config --remove-section 'svn-remote.svn'
git svn init file://"${ABS_SVN_SOURCE}" \
  --trunk=main/trunk --tags=main/tags --branches=main/branches
git svn fetch -r1891:HEAD
=======================================================

The last command the fails with:
=======================================================
Found possible branch point:
file:///home/sping/__playground/portage-git-playground/portage-anon-svn-repo-dump/main/trunk
=>
file:///home/sping/__playground/portage-git-playground/portage-anon-svn-repo-dump/main/branches/savior,
1890
Found branch parent: (refs/remotes/savior)
3d100e8bd4e84f2779af6217cf60ebd168647733
Following parent with do_switch
Invalid filesystem path syntax: Cannot replace a directory from within
at /usr/libexec/git-core/git-svn line 5089
=======================================================

# git --version
git version 1.7.0.1.61.gdc05d.dirty

> Does the tests pass for you ?
> 
>   $ cd t
>   $ make

master
  fixed   1
  success 5657
  failed  0
  broken  16
  total   5674

next
  fixed   1
  success 5732
  failed  0
  broken  16
  total   5758

# git branch -v
  branch-master dc05d73 Merge branch 'maint'
* master        dc05d73 Merge branch 'maint'
  next          6604fd0 Merge branch 'jn/makedepend' into next

Sebastian